diff --git a/src/js/01-navigation.js b/src/js/01-navigation.js
index 9f6fd1f..ea9023c 100644
--- a/src/js/01-navigation.js
+++ b/src/js/01-navigation.js
@@ -14,18 +14,36 @@
   var navState = getNavState()
   var menuState = getMenuState(navState, navContainer.dataset.component, navContainer.dataset.version)
 
+  /*
   navContainer.querySelector('.context').addEventListener('click', function () {
     var currentPanel = navContainer.querySelector('.is-active[data-panel]')
     var activatePanel = currentPanel.dataset.panel === 'menu' ? 'explore' : 'menu'
     currentPanel.classList.toggle('is-active')
     navContainer.querySelector('[data-panel=' + activatePanel + ']').classList.toggle('is-active')
   })
+  */
+
+  // Fold / Unfold navigation menu
+  navContainer.querySelector('.doc-title.docs').addEventListener('click', function () {
+    var currentPanel = navContainer.querySelector('.navigation-explore')
+    currentPanel.classList.toggle('is-active')
+  })
+  navContainer.querySelector('.navigation-explore .components').addEventListener('click', function () {
+    var currentPanel = navContainer.querySelector('.navigation-explore')
+    currentPanel.classList.add('is-active')
+  })
 
   find('.nav-toggle', menuPanel).forEach(function (btn) {
     var li = btn.parentElement
+    // Unfold all menu items on homepage
+    if (document.getElementById('homepage') != null) {
+      li.classList.add('is-active')
+      menuState.expandedItems = getExpandedItems()
+    }
     btn.addEventListener('click', function () {
       li.classList.toggle('is-active')
       menuState.expandedItems = getExpandedItems()
+
       saveNavState()
     })
     var navItemSpan = findNextElement(btn, '.nav-text')
diff --git a/src/partials/article.hbs b/src/partials/article.hbs
index 5b68a72..02d4e2f 100644
--- a/src/partials/article.hbs
+++ b/src/partials/article.hbs
@@ -1,4 +1,4 @@
-<article class="doc">
+<article class="doc" {{~#if (eq page.url '/get-started/current/home.html')}}id="homepage"{{/if}}>
 {{#if (eq page.layout '404')}}
 <h1>{{{or page.title 'Page Not Found'}}}</h1>
 <div class="paragraph">
@@ -13,5 +13,18 @@ If you typed the URL of this page manually, please double check that you entered
 <h1>{{{page.title}}}</h1>
 {{/if}}
 {{{page.contents}}}
+
+{{#if (not (eq page.url '/get-started/current/home.html'))}}
+
+<br/>
+{{#if page.previous}}
+<a href="{{{page.previous.url}}}">&larr; {{page.previous.content}}</a>
+{{/if}}
+{{#if page.next}}
+<a style="float: right;" href="{{{page.next.url}}}">{{page.next.content}} &rarr;</a>
+{{/if}}
+
+{{/if}}
+
 {{/if}}
 </article>
diff --git a/src/partials/footer-scripts.hbs b/src/partials/footer-scripts.hbs
index ea2a658..71514ae 100644
--- a/src/partials/footer-scripts.hbs
+++ b/src/partials/footer-scripts.hbs
@@ -1,3 +1,13 @@
 <script src="{{uiRootPath}}/js/site.js"></script>
 <script src="{{uiRootPath}}/js/vendor/highlight.js"></script>
 <script>hljs.initHighlighting()</script>
+{{#if (eq site.url "https://docs.rudder.io")}}
+<script type="text/javascript" src="https://cdn.jsdelivr.net/npm/docsearch.js@2/dist/cdn/docsearch.min.js"></script> 
+<script type="text/javascript"> docsearch({ 
+apiKey: 'cd30a0d30ff5152bad8f0f74d6b73875', 
+indexName: 'rudder', 
+inputSelector: '#docsearch', 
+debug: false // Set debug to true if you want to inspect the dropdown 
+}); 
+</script> 
+{{/if}}
diff --git a/src/partials/head-scripts.hbs b/src/partials/head-scripts.hbs
index d113389..baaf9ea 100644
--- a/src/partials/head-scripts.hbs
+++ b/src/partials/head-scripts.hbs
@@ -4,3 +4,11 @@
     <script>dataLayer=window.dataLayer||[];function gtag(){dataLayer.push(arguments)};gtag('js',new Date());gtag('config','{{this}}')</script>
 {{/with}}
 {{/if}}
+{{#if (eq site.url "https://docs.rudder.io")}}
+    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/docsearch.js@2/dist/cdn/docsearch.min.css" /> 
+{{/if}}
+{{#if site.url}}
+    <link rel="icon" href="{{site.url}}/_/img/favicon.ico" type="image/x-icon">
+{{else}}
+    <link rel="icon" href="/rudder-doc/_/img/favicon.ico" type="image/x-icon">
+{{/if}}
diff --git a/src/partials/header-content.hbs b/src/partials/header-content.hbs
index 05ca5ef..11857d4 100644
--- a/src/partials/header-content.hbs
+++ b/src/partials/header-content.hbs
@@ -1,7 +1,7 @@
 <header class="header">
   <nav class="navbar">
     <div class="navbar-brand">
-      <a class="navbar-item" href="{{or site.url (or siteRootUrl siteRootPath)}}">{{site.title}}</a>
+      <a class="navbar-item logo" href="{{or site.url (or siteRootUrl siteRootPath)}}"></a>
       <button class="navbar-burger" data-target="topbar-nav">
         <span></span>
         <span></span>
@@ -9,35 +9,33 @@
       </button>
     </div>
     <div id="topbar-nav" class="navbar-menu">
+{{#if (eq site.url "https://docs.rudder.io")}}
+      <div class="navbar-item">
+        <span class="algolia-autocomplete">
+          <input type="text" size="35" id="docsearch" name="search" placeholder="Search the docs..." />
+          <span id="docsearch-addon"></span>
+        </span>
+      </div>
+{{/if}}
       <div class="navbar-end">
-        <a class="navbar-item" href="#">Home</a>
         <div class="navbar-item has-dropdown is-hoverable">
-          <a class="navbar-link" href="#">Products</a>
-          <div class="navbar-dropdown">
-            <a class="navbar-item" href="#">Product A</a>
-            <a class="navbar-item" href="#">Product B</a>
-            <a class="navbar-item" href="#">Product C</a>
-          </div>
-        </div>
-        <div class="navbar-item has-dropdown is-hoverable">
-          <a class="navbar-link" href="#">Services</a>
+          <a class="navbar-link" href="#">Resources</a>
           <div class="navbar-dropdown">
-            <a class="navbar-item" href="#">Service A</a>
-            <a class="navbar-item" href="#">Service B</a>
-            <a class="navbar-item" href="#">Service C</a>
+            <a class="navbar-item" href="https://docs.rudder.io/files/rudder-cheatsheet-advanced.pdf">Cheatsheet</a>
+            <a class="navbar-item" href="https://www.youtube.com/user/RudderProject/playlists?view=50&sort=dd&shelf_id=3">Videos</a>
           </div>
         </div>
         <div class="navbar-item has-dropdown is-hoverable">
-          <a class="navbar-link" href="#">Resources</a>
+          <a class="navbar-link" href="#">Support</a>
           <div class="navbar-dropdown">
-            <a class="navbar-item" href="#">Resource A</a>
-            <a class="navbar-item" href="#">Resource B</a>
-            <a class="navbar-item" href="#">Resource C</a>
+            <a class="navbar-item" href="https://www.rudder.io/open-source/community/">Community</a>
+            <a class="navbar-item" href="https://www.rudder.io/pricing/subscription/">Subscription</a>
           </div>
         </div>
         <div class="navbar-item">
           <span class="control">
-            <a class="button is-primary" href="#">Download</a>
+            <a class="button is-primary chat" target="_blank" href="https://chat.rudder.io">CHAT</a>
+            <a class="button is-primary site" target="_blank" href="https://www.rudder.io">WEBSITE</a>
           </span>
         </div>
       </div>
diff --git a/src/partials/navigation-explore.hbs b/src/partials/navigation-explore.hbs
index 7a6d7ba..850e978 100644
--- a/src/partials/navigation-explore.hbs
+++ b/src/partials/navigation-explore.hbs
@@ -1,12 +1,12 @@
 <div class="navigation-explore{{#unless page.navigation}} is-active{{/unless}}" data-panel="explore">
   {{#if page.component}}
-  <div class="context">
-    <span class="title">{{page.component.title}}</span>
-    <span class="version">{{page.componentVersion.displayVersion}}</span>
+  <div class="doc-title docs">
+    All resources <button class="nav-toggle"></button>
   </div>
   {{/if}}
   <ul class="components">
     {{#each site.components}}
+    {{#if (not (eq this.name "changelogs"))}}
     <li class="component{{#if (eq this @root.page.component)}} is-current{{/if}}">
       <span class="title">{{{./title}}}</span>
       <ul class="versions">
@@ -14,11 +14,66 @@
         <li class="version
           {{~#if (and (eq ../this @root.page.component) (eq this @root.page.componentVersion))}} is-current{{/if~}}
           {{~#if (eq this ../latestVersion)}} is-latest{{/if}}">
-          <a href="{{{relativize @root.page.url ./url}}}">{{./displayVersion}}</a>
+	  {{~#if (eq ./version "6.2") }}
+          <a href="{{{relativize @root.page.url ./url}}}">{{./version}}-beta</a>
+	  {{else}}
+	  <a href="{{{relativize @root.page.url ./url}}}">{{./version}}</a>
+	  {{/if}}
         </li>
         {{/each}}
+        {{~#if (and @root.site.url (eq this.name "reference"))}}
+        <li class="version">
+           <a href="https://docs.rudder.io/history/">older</a>
+        </li>
+        {{/if}}
       </ul>
     </li>
+    {{/if}}
     {{/each}}
+    <li class="component">
+      <span class="title">Public API reference</span>
+        <ul class="versions">
+          <li class="version is-latest">
+            <a href="https://docs.rudder.io/api/v/13/">6.2-beta (v13)</a>
+          </li>
+          <li class="version is-latest">
+            <a href="https://docs.rudder.io/api/v/12/">6.1 (v12)</a>
+          </li>
+          <li class="version">
+            <a href="https://docs.rudder.io/api/v/">older</a>
+          </li>
+        </ul>
+      </span>
+    </li>
+    <li class="component">
+      <span class="title">Relay API reference</span>
+        <ul class="versions">
+	  <li class="version is-latest">
+	    <a href="https://docs.rudder.io/api/relay/v/1/">6 (v1)</a>
+	  </li>
+        </ul>
+      </span>
+    </li>
+    {{#if site.url}}
+    <li class="component">
+      <span class="title">Changelogs</span>
+        <ul class="versions">
+          {{#each site.components}}
+          {{#if (eq this.name "reference")}}
+          {{#each ./versions}}
+          <li class="version {{~#if (eq this ../latestVersion)}} is-latest{{/if}}">
+	    {{~#if (eq ./version "6.2") }}
+            <a href="{{@root.site.url}}/changelogs/{{./version}}/index.html">{{./version}}-beta</a>
+	    {{else}}
+	    <a href="{{@root.site.url}}/changelogs/{{./version}}/index.html">{{./version}}</a>
+	    {{/if}}
+          </li>
+          {{/each}}
+          {{/if}}
+          {{/each}}
+        </ul>
+      </span>
+    </li>
+    {{/if}}
   </ul>
 </div>
diff --git a/src/partials/navigation-menu.hbs b/src/partials/navigation-menu.hbs
index 296f79a..fdc21db 100644
--- a/src/partials/navigation-menu.hbs
+++ b/src/partials/navigation-menu.hbs
@@ -1,7 +1,7 @@
 {{#if page.navigation}}
 <div class="navigation-menu is-active" data-panel="menu">
   <nav class="nav-menu">
-    <h3 class="title"><a href="{{relativize page.url page.componentVersion.url}}">{{page.component.title}}</a></h3>
+    <!--<h3 class="title"><a href="{{relativize page.url page.componentVersion.url}}">{{page.component.title}}</a></h3>-->
 {{> navigation-tree navigation=page.navigation}}
   </nav>
 </div>
diff --git a/src/partials/navigation-tree.hbs b/src/partials/navigation-tree.hbs
index 4d56cca..a503588 100644
--- a/src/partials/navigation-tree.hbs
+++ b/src/partials/navigation-tree.hbs
@@ -1,3 +1,9 @@
+{{#if page.component}}
+<div class="doc-title">
+  <span class="title">{{page.component.title}}</span>
+  <span class="version">{{page.version}}</span>
+</div>
+{{/if}}
 {{#if navigation.length}}
 <ul class="nav-list">
   {{#each navigation}}
diff --git a/src/partials/toolbar.hbs b/src/partials/toolbar.hbs
index 48fe56f..26ecad4 100644
--- a/src/partials/toolbar.hbs
+++ b/src/partials/toolbar.hbs
@@ -1,3 +1,16 @@
+{{~#if (eq page.componentVersion.version "6.2") }}
+<div class="banner-warning warning-beta">
+  <span class="icon-warning"></span>
+  This version is under development
+</div>
+{{else}}
+{{~#if (eq page.componentVersion.version "4.3") }}
+<div class="banner-warning warning-deprecated">
+  <span class="icon-warning"></span>
+  This version is deprecated
+</div>
+{{/if}}
+{{/if}}
 <div class="toolbar" role="navigation">
   <button class="navigation-toggle"></button>
   {{#if site.homeUrl}}
